type: object
required:
  - user
  - guest
  - ticket
properties:
  id:
    type: integer
    format: int64
    minimum: 1
  user:
    type: integer
    format: int64
    minimum: 1
  guest:
    type: integer
    format: int64
    minimum: 1
  ticket:
    type: integer
    format: int64
    minimum: 1
  ticketType:
    type: integer
    format: int64
    minimum: 1
  packageType:
    type: integer
    format: int64
    minimum: 1  
  event:
    type: integer
    format: int64
    minimum: 1
  quantity:
    type: integer
    format: int32
    minimum: 1
  status:
    type: string
    enum:
      - PENDING
      - INVITED
      - ACCEPTED
      - REJECTED
    default:
      PENDING
  created_at:
    type: string
    format: date-time
  updated_at:
    type: string
    format: date-time
